com.io7m.r2.filters

## Class R2ShaderFilterTextureShowParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2ShaderFilterTextureShowParameters.Builder

- Enclosing class:
    R2ShaderFilterTextureShowParameters

      public static final class R2ShaderFilterTextureShowParameters.Builder
      extends Object

  Builds instances of type `R2ShaderFilterTextureShowParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShaderFilterTextureShowParameters` | `build()` Builds a new `R2ShaderFilterTextureShowParameters`.
    `R2ShaderFilterTextureShowParameters.Builder` | `from(R2ShaderFilterTextureShowParametersType instance)` Fill a builder with attribute values from the provided `R2ShaderFilterTextureShowParametersType` instance.
    `R2ShaderFilterTextureShowParameters.Builder` | `setIntensity(float intensity)` Initializes the value for the `intensity` attribute.
    `R2ShaderFilterTextureShowParameters.Builder` | `setTexture(R2Texture2DUsableType texture)` Initializes the value for the `texture` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2ShaderFilterTextureShowParameters.Builder from(R2ShaderFilterTextureShowParametersType instance)

      Fill a builder with attribute values from the provided `R2ShaderFilterTextureShowParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setTexture

          public final R2ShaderFilterTextureShowParameters.Builder setTexture(R2Texture2DUsableType texture)

      Initializes the value for the `texture` attribute.
      Parameters:
        `texture` - The value for texture
      Returns:
        `this` builder for use in a chained invocation

    - #### setIntensity

          public final R2ShaderFilterTextureShowParameters.Builder setIntensity(float intensity)

      Initializes the value for the `intensity` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `intensity`.

      Parameters:
        `intensity` - The value for intensity
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2ShaderFilterTextureShowParameters build()

      Builds a new `R2ShaderFilterTextureShowParameters`.
      Returns:
        An immutable instance of R2ShaderFilterTextureShowParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com